Opensuse 42.2 - Firefox 56.0.2 (64 bit) - Non funzionano i video in Flash

9 risposte [Ultimo messaggio]
Ritratto di Kff_ffK
Kff_ffK
(Monster)
Offline
Monster
Iscritto: 22/12/2004
Messaggi: 227

Salve a tutti.

Uso Opensuse 42.2 e qualche giorno fa sono passato a Firefox 56.0.2 (64 bit), installato dal repository di Mozilla; da allora non riesco più a vedere i video in Flash.

Prima usavo la versione 52.5.0 di Firefox del repository update di Opensuse 42.2 e Flash (installato dal repository di Packman) funzionava.

Ovviamente ho già provato a creare un nuovo utente in Firefox e non funziona lo stesso; ho anche provato disinstallare e reinstallare Flash Player (v. 27.0.0.187), sia del repo di Packman che direttamente da Adobe, ma sempre con risultato negativo.

Ho provato anche a fare clic destro nello spazio dove dovrebbe esserci il video per disabilitare l'accelerazione hardware ma non esce il menu contestuale di Flash.

Qualcuno ha qualche idea/soluzione?

Grazie in anticipo e buon pomeriggio a tutti.
Kff_ffK

OpenSuse Leap 42.2 64-bit
- Versione di KDE/Plasma: 5.8.6 - Versione di KDE Frameworks: 5.26.0
- Versione di Qt: 5.6.1 - Versione del Kernel: 4.4.92-18.36-default

Ritratto di mauriziod
mauriziod
(Guru)
Offline
Guru
Iscritto: 01/06/2009
Messaggi: 1618

Prima di tutto adesso lo devi attivare (dai plugin) con questo firefox e/o lo devi attivare per ogni pagina dall'avvertimento che ti pone sulla pagina.

Poi da 32 al 64Bit cambia il plugin, che deve ora essere il Flash-64Bit-NPAPI 27.0.0.187
https://get.adobe.com/it/flashplayer/otherversions/

Attenzione: Controllate che durante il procedimento d'istallazione di Flash abbiate TUTTI i browser chiusi!

Se non funziona queste accortezze puoi provare seguendo queste istruzioni:
http://trucchisuse.altervista.org/blog/firefox-con-flash-19/

SO: Linux desktop Sistema: OpenSUSE 13.2 (32bit) KDE 4
SO: Linux desktop Sistema: OpenSUSE Leap 42.1 (64bit) KDE 5
Miao

Ritratto di Kff_ffK
Kff_ffK
(Monster)
Offline
Monster
Iscritto: 22/12/2004
Messaggi: 227

Ciao mauriziod, innanzitutto grazie per aver risposto.
Firefox ed il plugin erano già, e sono tuttora, a 64 bit ed il plugin è attivato ed è quello che mi hai indicato.
I browser erano chiusi al momento dell'installazione.
nspluginwrapper, indicato sulla pagina trucchi Suse, da quel che leggo qui, è un wrapper per far funzionare plugin a 32 bit nei browser a 64 bit ma nel mio caso sia il browser che il plugin sono a 64 bit e quindi, purtroppo, non è risolutivo.
La cosa strana è che con la versione precedente di Firefox, pure a 64 bit, e con lo stesso plugin Flash, tutto funzionava perfettamente. Forse sarà un bug della versione 56.0.2 di Firefox?
Comunque grazie ancora.
Buona serata e alla prossima.

OpenSuse Leap 42.2 64-bit
- Versione di KDE/Plasma: 5.8.6 - Versione di KDE Frameworks: 5.26.0
- Versione di Qt: 5.6.1 - Versione del Kernel: 4.4.92-18.36-default

Ritratto di Kff_ffK
Kff_ffK
(Monster)
Offline
Monster
Iscritto: 22/12/2004
Messaggi: 227

Adesso ho provato anche a reinstallare i driver della scheda video ma non ha funzionato neanche questo.

OpenSuse Leap 42.2 64-bit
- Versione di KDE/Plasma: 5.8.6 - Versione di KDE Frameworks: 5.26.0
- Versione di Qt: 5.6.1 - Versione del Kernel: 4.4.92-18.36-default

Ritratto di mauriziod
mauriziod
(Guru)
Offline
Guru
Iscritto: 01/06/2009
Messaggi: 1618

Non sono i driver, questo è certo!

prova ad retrocedere con la versione Firefox ESR o reinstallare firefox.. (http://mzl.la/1BAQTH9)

Potresti chiedere al Forum di Firefox Italia
https://forum.mozillaitalia.org/

SO: Linux desktop Sistema: OpenSUSE 13.2 (32bit) KDE 4
SO: Linux desktop Sistema: OpenSUSE Leap 42.1 (64bit) KDE 5
Miao

Ritratto di jambolo70
jambolo70
(Junior)
Offline
Junior
Iscritto: 03/03/2012
Messaggi: 22

essendo la versione 56 di firefox non ancora disponibile per i repository ufficiali update, anche per la verione 42.3 per esempio è ancora alla 52.5, forse il repo pacman conviene farlo puntare sulla versione tumbleweed dato che usa quella versione di firefox
http://download.opensuse.org/repositories/mozilla/openSUSE_Tumbleweed/

Mi piace tantissimo la ver. 12.1 dopo la 9.2 l'ho trovata ottima
attualmente utilizzo la 42.3 e Tumbleweed

Ritratto di Kff_ffK
Kff_ffK
(Monster)
Offline
Monster
Iscritto: 22/12/2004
Messaggi: 227

Ciao ragazzi e grazie per le risposte.

@mauriziod: ho seguito i tuoi consigli ed ho provato a reinstallare Firefox 56.0.2 ma Flash continua a non andare, alla fine, come da te suggerito, ho effettuato il downgrade alla 52.5.0 ESR e funziona di nuovo.

@jambolo70: sì, la 56.0.2 non c'è sui repo update, per questo ho usato il repo di Mozilla per Opensuse 42.2. Preferisco non mescolare i repository della distro in uso (42.2) con quelli di un'altra versione (Tumbleweed), aspetterò un prossimo aggiornamento per upgradare Firefox.

Grazie ancora a tutti.

OpenSuse Leap 42.2 64-bit
- Versione di KDE/Plasma: 5.8.6 - Versione di KDE Frameworks: 5.26.0
- Versione di Qt: 5.6.1 - Versione del Kernel: 4.4.92-18.36-default

Ritratto di Markus
Markus
(Junior)
Offline
Junior
Iscritto: 10/02/2008
Messaggi: 19

Ciao,
hai provato con la 57?

Saluti

Ritratto di dragoncello
dragoncello
(Collaboratore)
Offline
Collaboratore
Iscritto: 16/07/2005
Messaggi: 2645

https://download.opensuse.org/repositories/home:/frispete:/mozilla/openSUSE_Leap_42.2/

ultimo flash,disponibile.

SUSE Tumbleweed- kernel-4.14.3-1.4- kde-plasma-5.11.3- Intel Core i7 Asus P9x79 pro GeForce GTX 560-driver Nvidia-384.98- SSD samsung 850 pro 512 gb http://opensuse-community.org/

Ritratto di Kff_ffK
Kff_ffK
(Monster)
Offline
Monster
Iscritto: 22/12/2004
Messaggi: 227

Ciao ragazzi, grazie per le risposte.

Purtroppo la versione 57 di Firefox non è ancora disponibile per la Leap 42.2.

Dragoncello, ho visto il repo che mi hai indicato, purtroppo la versione di Flash che si trova lì è la stessa che ho già (27.0.0.187).

Per curiosità, ma a voi funziona Flash con FF 56.0.2 su Opensuse 42.2?

Grazie ancora a tutti e buona giornata.

OpenSuse Leap 42.2 64-bit
- Versione di KDE/Plasma: 5.8.6 - Versione di KDE Frameworks: 5.26.0
- Versione di Qt: 5.6.1 - Versione del Kernel: 4.4.92-18.36-default